Kernel-space filtering for dumping

## Functions

struct nfct_filter_dump * | nfct_filter_dump_create (void)
void | nfct_filter_dump_destroy (struct nfct_filter_dump *filter)
void | nfct_filter_dump_set_attr (struct nfct_filter_dump *filter_dump, const enum nfct_filter_dump_attr type, const void *value)
void | nfct_filter_dump_set_attr_u8 (struct nfct_filter_dump *filter_dump, const enum nfct_filter_dump_attr type, uint8_t value)
void | nfct_filter_dump_set_attr_u16 (struct nfct_filter_dump *filter_dump, const enum nfct_filter_dump_attr type, uint16_t value)

## Detailed Description

## Function Documentation

## nfct_filter_dump_create()

struct nfct_filter_dump * nfct_filter_dump_create | ( | void |  | ) |

nfct_filter_dump_create - create a dump filter

This function returns a valid pointer on success, otherwise NULL is returned and errno is appropriately set.

Definition at line 1503 of file conntrack/api.c.

## nfct_filter_dump_destroy()

void nfct_filter_dump_destroy | ( | struct nfct_filter_dump * | filter | ) |

nfct_filter_dump_destroy - destroy a dump filter

Parameters

  filter | filter that we want to destroy

This function releases the memory that is used by the filter object.

Definition at line 1514 of file conntrack/api.c.

## nfct_filter_dump_set_attr()

void nfct_filter_dump_set_attr | ( | struct nfct_filter_dump * | filter_dump,
|  | const enum nfct_filter_dump_attr | type,
|  | const void * | value )

nfct_filter_dump_attr_set - set filter attribute

Parameters

  filter | dump filter object that we want to modify
  type | filter attribute type
  value | pointer to the value of the filter attribute

Definition at line 1527 of file conntrack/api.c.

## nfct_filter_dump_set_attr_u16()

void nfct_filter_dump_set_attr_u16 | ( | struct nfct_filter_dump * | filter_dump,
|  | const enum nfct_filter_dump_attr | type,
|  | uint16_t | value )

nfct_filter_dump_attr_set_u16 - set u16 dump filter attribute

Parameters

  filter | dump filter object that we want to modify
  type | filter attribute type
  value | value of the filter attribute using unsigned int (32 bits).

Definition at line 1562 of file conntrack/api.c.

## nfct_filter_dump_set_attr_u8()

void nfct_filter_dump_set_attr_u8 | ( | struct nfct_filter_dump * | filter_dump,
|  | const enum nfct_filter_dump_attr | type,
|  | uint8_t | value )

nfct_filter_dump_attr_set_u8 - set u8 dump filter attribute

Parameters

  filter | dump filter object that we want to modify
  type | filter attribute type
  value | value of the filter attribute using unsigned int (32 bits).

Definition at line 1549 of file conntrack/api.c.